Manifest error problem

Hi
There was a problem fetching the fastq file using the manifest.

command :
qiime tools import
–type SampleData [PairedEndSequencesWithQuality]
–input-path manifest4.csv
–output-path demux.qza
–input-format PairedEndFastqManifestPhred33

Error contents
Traceback (most recent call last):
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/util.py”, line 89, in duplicate
os.link (src, dst)
OSError: [Errno 18] Invalid cross-device link: ‘/data/sskimvd/pdxen/data/stool/KDK-045_S19_L001_R2_001.fastq.gz’ -> '/tmp/q2SingleLanePerSamplePairedEndFastqDirFmt-83nykqcc/KDK-045_607_L001_R2_001.fastq. gz ’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2cli/tools.py”, line 146, in import_data
view_type = input_format)
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/result.py”, line 240, in import_data
return cls.from_view (type, view, view_type, provenance_capture)
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/result.py”, line 265, in _from_view
result = transformation (view)
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/core/transform.py”, line 70, in transformation
new_view = transformer (view)
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_types/per_sample_sequences/_transformer.py”, line 338, in _8
single_end = False)
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_types/per_sample_sequences/_transformer.py”, line 288, in _fastq_manifest_helper
fastq_copy_fn (input_fastq_fp, str (output_fastq_fp))
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_types/per_sample_sequences/_transformer.py”, line 261, in _copy_with_compression
qiime2.util.duplicate (src, dst)
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/util.py”, line 92, in duplicate
shutil.copyfile (src, dst)
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/shutil.py”, line 122, in copyfile
copyfileobj (fsrc, fdst)
File “/data/sskimvd/Anaconda/envs/qiime2-2019.1/lib/python3.6/shutil.py”, line 82, in copyfileobj
fdst.write (buf)
OSError: [Errno 28] No space left on device

An unexpected error has occurred:

[Errno 28] No space left on device

See above for debug info.

Thank you for your help.

Hi @kimshinseung,

It looks like you

It looks like you’re out of space to write your manifest format. A couple things to check. First, make sure that you clean out your tmp directory. If you’re working on your local machine, you’re likely redirecting to a /tmp/ folder. You should empty that.

If you’re on a cluster or server, talk to your sysadmin about where you should be sending your tmp data. (My sysadmin has occasionally been ready to kick me off the system for not using the appropriate tmp folder. We’ve worked it out after a few false starts.

If you’re working on a virtual machine, you’ll need to increase the memory.

Best,
Justine

2 Likes

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.